﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Navigation;

namespace Phone文件关联
{
    public class AssociationUriMapper : UriMapperBase
    {

        public override Uri MapUri(Uri uri)
        {
            string tempUri = System.Net.HttpUtility.UrlDecode(uri.ToString());

            //验证Uri，是否为文件关联引发
            if (tempUri.StartsWith("/FileTypeAssociation?fileToken="))
            {
                string fileToke = tempUri.Substring(31);
                //整理成规范URL，回发到MainPage.xaml
                return new Uri("/MainPage.xaml?fileToke=" + fileToke, UriKind.Relative);
            }
            return uri;
        }
    }
}
